Bug 431682 - openldap: ldapmodify segfaults on request with NOOP control
Summary: openldap: ldapmodify segfaults on request with NOOP control
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openldap (Show other bugs)
(Show other bugs)
Version: 4.6
Hardware: All Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-06 13:31 UTC by Tomas Hoger
Modified: 2008-07-24 19:51 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0701
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:51:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0701 normal SHIPPED_LIVE openldap bug fix and enhancement update 2008-07-23 15:58:51 UTC

Description Tomas Hoger 2008-02-06 13:31:16 UTC
Description of problem:
ldapmodify command segfauls if NOOP control is specified using command line
argument '-e noop' after connecting to LDAP server, but prior to reading user input.

Version-Release number of selected component (if applicable):
openldap-2.2.13-8.el4_6.2

Steps to Reproduce:
ldapmodify -x -D 'dn-to-bind-to-ldap' -W -e noop
  
Actual results:
Segmentation fault

Expected results:
Accept modify commands, send them to LDAP server, print what LDAP server would
do in normal mode.

Comment 1 Jan Safranek 2008-02-08 11:21:55 UTC
Already fixed upstream:
http://www.openldap.org/its/index.cgi/Software%20Bugs?id=3257


Comment 2 RHEL Product and Program Management 2008-02-08 11:27:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2008-07-24 19:51:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0701.html


Note You need to log in before you can comment on or make changes to this bug.